> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eis.it/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eis.it/_mcp/server.

# Update DSS Gateway IP Settings

PUT https://api.eis.it/v1/voip/dss/gtw/settings/ip/{idGtw}
Content-Type: application/json

Update the primary and secondary IP settings of a DSS gateway. The organization is resolved from the authenticated user.

Reference: https://docs.eis.it/api/reference/vo-ip-dss/update-dss-gateway-ip-settings

## Request

### Path parameters

- `idGtw` (integer, required) — DSS gateway identifier

### Body (application/json)

This endpoint expects a GatewayIpRequest.

- `ipAddress` (string, optional) — Primary IP address
- `port` (string, optional) — Primary SIP port
- `secondaryIP` (string, optional) — Secondary IP address
- `portSecondary` (string, optional) — Secondary SIP port

## Response

### 204

DSS resource updated successfully.

## Errors

### 400 Bad Request Error

Bad request - Invalid parameters or missing required fields

- `status` (string, required) — HTTP status name.
- `message` (string, required) — Human-readable error message.
- `errors` (ApiGeneralMessageErrors, required) — Additional error details. It can be a message, a list of validation errors, or a structured object.

### 403 Forbidden Error

Forbidden - Insufficient permissions

- `status` (string, required) — HTTP status name.
- `message` (string, required) — Human-readable error message.
- `errors` (ApiGeneralMessageErrors, required) — Additional error details. It can be a message, a list of validation errors, or a structured object.

### 404 Not Found Error

Requested DSS resource not found

- `status` (string, required) — HTTP status name.
- `message` (string, required) — Human-readable error message.
- `errors` (ApiGeneralMessageErrors, required) — Additional error details. It can be a message, a list of validation errors, or a structured object.

### 500 Internal Server Error

Internal server error

- `status` (string, required) — HTTP status name.
- `message` (string, required) — Human-readable error message.
- `errors` (ApiGeneralMessageErrors, required) — Additional error details. It can be a message, a list of validation errors, or a structured object.

## Types

### ApiGeneralMessageErrors

Additional error details. It can be a message, a list of validation errors, or a structured object.

## Examples

**Request**

```json
{
  "ipAddress": "192.0.2.10",
  "port": "5060",
  "secondaryIP": "192.0.2.11",
  "portSecondary": "5060"
}
```

**SDK Code**

```python
import requests

url = "https://api.eis.it/v1/voip/dss/gtw/settings/ip/1"

payload = {
    "ipAddress": "192.0.2.10",
    "port": "5060",
    "secondaryIP": "192.0.2.11",
    "portSecondary": "5060"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.eis.it/v1/voip/dss/gtw/settings/ip/1';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"ipAddress":"192.0.2.10","port":"5060","secondaryIP":"192.0.2.11","portSecondary":"5060"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.eis.it/v1/voip/dss/gtw/settings/ip/1"

	payload := strings.NewReader("{\n  \"ipAddress\": \"192.0.2.10\",\n  \"port\": \"5060\",\n  \"secondaryIP\": \"192.0.2.11\",\n  \"portSecondary\": \"5060\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.eis.it/v1/voip/dss/gtw/settings/ip/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ipAddress\": \"192.0.2.10\",\n  \"port\": \"5060\",\n  \"secondaryIP\": \"192.0.2.11\",\n  \"portSecondary\": \"5060\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.eis.it/v1/voip/dss/gtw/settings/ip/1")
  .header("Content-Type", "application/json")
  .body("{\n  \"ipAddress\": \"192.0.2.10\",\n  \"port\": \"5060\",\n  \"secondaryIP\": \"192.0.2.11\",\n  \"portSecondary\": \"5060\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.eis.it/v1/voip/dss/gtw/settings/ip/1', [
  'body' => '{
  "ipAddress": "192.0.2.10",
  "port": "5060",
  "secondaryIP": "192.0.2.11",
  "portSecondary": "5060"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.eis.it/v1/voip/dss/gtw/settings/ip/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ipAddress\": \"192.0.2.10\",\n  \"port\": \"5060\",\n  \"secondaryIP\": \"192.0.2.11\",\n  \"portSecondary\": \"5060\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "ipAddress": "192.0.2.10",
  "port": "5060",
  "secondaryIP": "192.0.2.11",
  "portSecondary": "5060"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.eis.it/v1/voip/dss/gtw/settings/ip/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```